HeaderStyle (JGoodies Looks 2.5 API)
Date: 2012-07-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks
Class HeaderStyle

    java.lang.Object
      com.jgoodies.looks.HeaderStyle

    public final class HeaderStyle

extends Object

Describes the header styles for JMenuBar and JToolBar. Header styles are look-independent and can be shadowed by a look-dependent `BorderStyle`.

Version:
  $Revision: 1.9 $
Author:
  Karsten Lentzsch
See Also:
  `BorderStyle`

Field Summary
`static HeaderStyle` | `BOTH`
`static HeaderStyle` | `SINGLE`

Method Summary
`static HeaderStyle` | `from(JMenuBar menuBar)` Looks up the client property for the `HeaderStyle` from the JToolBar.
`static HeaderStyle` | `from(JToolBar toolBar)` Looks up the client property for the `HeaderStyle` from the JToolBar.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SINGLE

    public static final HeaderStyle SINGLE

### BOTH

    public static final HeaderStyle BOTH

Method Detail

### from

    public static HeaderStyle from(JMenuBar menuBar)

  Looks up the client property for the `HeaderStyle` from the JToolBar.

  Parameters:
    `menuBar` - the menu bar to inspect
  Returns:
    the menu bar's header style

### from

    public static HeaderStyle from(JToolBar toolBar)

  Looks up the client property for the `HeaderStyle` from the JToolBar.

  Parameters:
    `toolBar` - the tool bar to inspect
  Returns:
    the tool bar's header style

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JGoodies Karsten Lentzsch. All Rights Reserved.